			.ext dot files
			  R.K. Owen
			  06/27/2000


This directory contains an alternative user set-up.
This model proposed here is that the core user dot-files
are owned by the user services with hooks to source
user specializations, which are made in the accompanying
.ext files.  The user module load is contained within the
.modules file, which is sourced by all the other shells on login.

The add.ext script just enforces this model.
The skel directory contains the .ext files, and symbolic links to
the user services .dot files.  The user home directory may look
something like this:

lrwxrwxrwx   1 .bashrc -> /usr/common/etc/.kshenv*
lrwxrwxrwx   1 .cshrc -> /usr/common/etc/.cshrc*
-rwxr-x---   1 .cshrc.ext*
lrwxrwxrwx   1 .profile -> /usr/common/etc/.profile*
-rwxr-x---   1 .profile.ext
lrwxrwxrwx   1 .kshenv -> /usr/common/etc/.kshenv*
-rwxr-x---   1 .kshenv.ext*
lrwxrwxrwx   1 .login -> /usr/common/etc/.login*
-rwxr-x---   1 .login.ext

The user skeleton dot-files are in ./skel
The common user services supported dot-files are in ./common
The global shell login files are in ../etc/global
along with the module set-up files.

If you intend to use this model, then add the --with-dot-ext
option, with an appropriate value, during the configure set-up.

